%define ver_major 0.3
%def_disable static

Name: scrollkeeper
Version: %ver_major.14
Release: alt1.1

Summary: ScrollKeeper is a cataloging system for documentation
License: LGPL/FDL
Group: Publishing
Url: http://%name.sourceforge.net

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: %name-manpages-ru.tar.bz2
Patch: %name-0.3.13-alt-paths.patch
Patch1: %name-0.3.13-alt-no_rebuilddb.patch

%define libxml2_ver 2.5.6
%define intltool_ver 0.30

PreReq: lib%name = %version-%release, xml-common, xml-utils, docbook-dtds

BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: intltool >= %intltool_ver

# Automatically added by buildreq on Wed Jan 28 2004
BuildRequires: docbook-dtds glibc-devel-static intltool libxml2-devel libxslt-devel perl-XML-Parser perl-i18n xml-common xml-utils zlib-devel

%description
ScrollKeeper is a cataloging system for documentation. It manages
documentation metadata (as specified by the Open Source Metadata
Framework (OMF)) and provides a simple API to allow help browsers to
find, sort, and search the document catalog. It will also be able to
communicate with catalog servers on the Net to search for documents
which are not on the local system.

%package -n lib%name
Summary: Libraries for scrollkeeper
Group: System/Libraries

%description -n lib%name
These are the libraries for Scrollkeeper.

%package -n lib%name-devel
Summary: Includes and more to develop scrollkeeper applications
Group: Development/C
Requires: %name = %version-%release
Requires: lib%name = %version-%release

%description -n lib%name-devel
Libraries, include files and other resources you can use to develop
Scrollkeeper applications.

%package -n lib%name-devel-static
Summary: Static libraries to develop scrollkeeper applications
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel-static
Static libraries you can use to develop Scrollkeeper applications.

%define xmlbase %_datadir/xml
%define xmlconfdir %_sysconfdir/xml
%define xmlcatalog %xmlconfdir/catalog

%prep
%setup -q
%patch -p1
%patch1 -p1

# fix #1434
%__subst 's|регест|регист|g' po/ru.po

%build
%configure \
	%{subst_enable static} \
	--with-omfdirs=%_datadir/omf \
	--with-partial-db-dir=%name

%make_build

%install
%makeinstall

%__install -d -m755 %buildroot%_localstatedir/%name

# russian manpages
%__tar -jxf %SOURCE1 -C %buildroot%_mandir

%define mans scrollkeeper-config scrollkeeper-gen-seriesid scrollkeeper.conf scrollkeeper-preinstall scrollkeeper-rebuilddb scrollkeeper-update

%find_lang --output=%name.lang --with-man %name %mans

%post
%_bindir/xmlcatalog --noout --add "public" \
        "-//Open Source Metadata Framework (OMF) //DTD OMF.dtd V1.1//EN" \
        "%_datadir/xml/%name/dtds/%name-omf.dtd" %xmlcatalog ||:
%_bindir/xmlcatalog --noout --add "public" \
        "-//Scrollkeeper//DTD Contents List V1.0//EN" \
        "%_datadir/xml/%name/dtds/%name-cl.dtd" %xmlcatalog ||:

scrollkeeper-rebuilddb -q -p %_localstatedir/%name 2>/dev/null ||:	

%preun
[ $1 = 0 ] || exit 0
%_bindir/xmlcatalog --noout --del \
	"%_datadir/xml/%name/dtds/%name-omf.dtd" %xmlcatalog ||:
%_bindir/xmlcatalog --noout --del \
	"%_datadir/xml/%name/dtds/%name-cl.dtd" %xmlcatalog ||:

%triggerpostun -- %name < 0.3.11
[ $2 != 0 ] || exit 0
%_bindir/xmlcatalog --noout --add "public" \
        "-//Open Source Metadata Framework (OMF) //DTD OMF.dtd V1.1//EN" \
        "%_datadir/xml/%name/dtds/%name-omf.dtd" %xmlcatalog ||:
%_bindir/xmlcatalog --noout --add "public" \
        "-//Scrollkeeper//DTD Contents List V1.0//EN" \
        "%_datadir/xml/%name/dtds/%name-cl.dtd" %xmlcatalog ||:
	
scrollkeeper-rebuilddb -q -p %_localstatedir/%name 2>/dev/null ||:	

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%_datadir/omf
%_datadir/%name
%_datadir/xml/*
%_mandir/man?/*
%dir %_localstatedir/%name
%config(noreplace) %_sysconfdir/%name.conf
%doc AUTHORS README ChangeLog NEWS INSTALL

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.14-alt1.1
- fixed russian translation (close #1434)

* Wed Jan 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.14-alt1
- new version.
- russian manpages (Alex Savvin).

* Thu Dec 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.13-alt1
- 0.3.13
- do not package .la files.
- do not build libscrollkeeper-devel-static subpackage by default.

* Wed Apr 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.12-alt1
- 0.3.12

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.11-alt2
- Directory /var/lib/scrollkeeper owned by scrollkeeper (#1665)
- Fixed registration for romanian docs (#1666).
- Fixes in russian translation.
- fixed build with new automake again.
- scrollkeeper-rebuilddb run in %%post when upgrading.
- PLD Team:
    - fixed manpage
    - fixed translations
- Debian:
    - fixed temp files naming

* Thu Nov 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.11-alt1.3
- Added prereqs on docbook-dtds (#1523)

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.11-alt1.2
- Fixed build with new automake (thanks to Mikhail Zabaluev <mhz@alt-linux.org>)

* Wed Oct 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.11-alt1.1
- xml-common added to prereqs list.

* Thu Sep 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.11-alt1
- 0.3.11

* Tue Jun 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.10-alt1
- 0.3.10

* Mon Mar 18 2002 AEN <aen@logic.ru> 0.2-alt3
- nocrash patch from RH

* Fri Aug 24 2001 AEN <aen@logic.ru> 0.2-alt2
- scrollkeeper prereq libscrollkeeper
* Tue Apr 17 2001 AEN <aen@logic.ru> 0.2-alt1
- 0.2
- libifications
* Wed Mar 14 2001 AEN <aen@logic.ru> 0.1.4-ipl1mdk
- build for nautilus
- RE adaptation

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.4-1mdk
- from Alexander Skwar <ASkwar@Linux-Mandrake.com>
	- New release
	- regenerate patch 0

* Thu Mar  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.2-1mdk
- First Mandrake release

* Tue Feb 15 2001 Dan Mueth <dan@eazel.com>
- added line to include the translations .mo file

* Tue Feb 06 2001 Dan Mueth <dan@eazel.com>
- fixed up pre and post installation scripts

* Tue Feb 06 2001 Laszlo Kovacs <laszlo.kovacs@sun.com>
- added all the locale directories and links for the template
  content list files

* Wed Jan 17 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- converted to scrollkeeper.spec.in

* Sat Dec 16 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- help files added

* Fri Dec 8 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- various small fixes added

* Thu Dec 7 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- fixing localstatedir problem
- adding postinstall and postuninstall scripts

* Tue Dec 5 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- adding COPYING, AUTHORS, etc
- fixed localstatedir for the OMF files

* Fri Nov 10 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- Initial spec file created.
